<?php
	session_start();
	require ("./Funciones/funciones.php");
	date_default_timezone_set('America/Mazatlan');
	$conexion = conecta();
	           

	$cat = $_POST['cat'];
	$codigo = $_POST['cod'];

	$monedac = $_POST['monedac'];
	$costo = $_POST['costo'];
	$costtot =$_POST['costtot'];

	$porc = $_POST['porc'];
	$preciov = $_POST['preciov'];
	$monedav = $_POST['monedav'];

	$porcm = $_POST['porcm'];
	$preciovm = $_POST['preciovm'];
	$monedavm = $_POST['monedavm'];

	$desperdicio = $_POST['desperdicio'];
	$unim = $_POST['unidm'];
	$tira = $_POST['tira'];

	$activado = 1;
	$eliminado = 0;
	$destacado= 0;
	$sql= "SELECT * FROM Insumos where IdInsumo ='$id'";
	$res = mysqli_query($conexion,$sql);
	$row = mysqli_num_rows($res);
	$fecha = date("Y-m-d H:i:s");
	$user=$_SESSION['id_admin'];
	$nombre = $codigo;
	$varios = 0;
	$user = 2;
	if($tira == ''){
		$tira = 0;
	}
	
	if($id==''){
		$sql = "INSERT INTO Insumos VALUES (0, '$nombre','$codigo','$cat','$costo','$varios','$monedac',1,$unim,$desperdicio,NULL,NULL,NULL,NULL,$activado,$eliminado,1 )";
		$res = mysqli_query($conexion,$sql);
		

		$sqla = "INSERT INTO Productos VALUES (0, '$nombre','$codigo',3,'$fecha','$costo','$varios',$monedac,'$costtot','$porc','$preciov','$monedav','$porcm','$preciovm','$monedavm','$desperdicio',$unim,'$tira',$activado,$eliminado,NULL,NULL,NULL,NULL,NULL )";
		$resa = mysqli_query($conexion,$sqla);

		$sqli = "SELECT * FROM Insumos ORDER BY IdInsumo DESC LIMIT 1";
		$resi = mysqli_query($conexion,$sqli);
		$arri = mysqli_fetch_array($resi);
		$idins = $arri['IdInsumo'];

		$sqlc = "SELECT * FROM Productos ORDER BY IdProducto DESC LIMIT 1";
		$resc = mysqli_query($conexion,$sqlc);
		$arrc = mysqli_fetch_array($resc);
		$idprod = $arrc['IdProducto'];

		$sqlf = "INSERT INTO ProductoDetalle VALUES (0, '$idprod','$idins','1','$activado','$user')";
		$resf = mysqli_query($conexion,$sqlf);
		echo "1";
	}
?>
